%global alias ValyriaTear
Name:       valyriatear
Version:    0.5.0
Release:    4%{?dist}
Summary:    Valyria Tear is a free 2D J-RPG based on the Hero of Allacrost engine
License:    GPLv2
URL:        http://valyriatear.blogspot.de/
Source0:    https://github.com/Bertram25/ValyriaTear/archive/%{version}/%{name}-%{version}.tar.gz
# Redhat bug: 928608, Upstream: https://github.com/Bertram25/ValyriaTear/issues/127
# Patched this into the package since it makes the game unplayable if the bug is hit
Patch0:     %{name}-fixed-inventory.patch
Requires:   %{name}-data = %{version}-%{release}
BuildRequires: boost-devel
BuildRequires: cmake
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libvorbis-devel
BuildRequires: luabind-devel
BuildRequires: lua-devel
BuildRequires: openal-soft-devel
BuildRequires: SDL-devel
BuildRequires: SDL_image-devel
BuildRequires: SDL_ttf-devel
BuildRequires: zlib-devel

%description
Valyria Tear is a free (as meant in the GNU Public License) 2D J-RPG game
based on the Hero of Allacrost engine.

You can play it very much like a typical console role-playing game.
You can explore maps and talk to non-playable characters (NPCs),
fight active-time battles against multiple enemies,
and manage your characters and equipment through a series of menus.
Valyria Tear runs in a series of "game modes" which represent
different states of operation in the game.

This package contains the binary.

%package data
Summary:    A single player, 2D-isometric, action Role-Playing Game, data files
# See LICENSE file
License:    CC-BY-SA and CC-BY and CC0 and GPLv2 and GPLv2+ and GPLv3
Requires:   %{name} = %{version}-%{release}
Requires:   linux-libertine-biolinum-fonts
Requires:   linux-libertine-fonts
BuildArch:  noarch

%description data
Valyria Tear is a free (as meant in the GNU Public License) 2D J-RPG game
based on the Hero of Allacrost engine.

You can play it very much like a typical console role-playing game.
You can explore maps and talk to non-playable characters (NPCs),
fight active-time battles against multiple enemies,
and manage your characters and equipment through a series of menus.
Valyria Tear runs in a series of "game modes" which represent
different states of operation in the game.

This package contains the game data.

%prep
%setup -q -n %{alias}-%{version}
%patch0 -p1
# Ensure that it builds against system libaries
rm -r src/luabind
# Use system fonts
rm -r img/fonts/*
sed -i dat/config/fonts.lua \
    -e 's/img\/fonts\/LinLibertine_aBS\.ttf/\/usr\/share\/fonts\/linux-libertine\/LinLibertine_RB.otf/' \
    -e 's/img\/fonts\/LinBiolinum_RBah\.ttf/\/usr\/share\/fonts\/linux-libertine\/LinBiolinum_RB.otf/' \
    -e 's/img\/fonts\/Berenika-Oblique\.ttf/\/usr\/share\/fonts\/linux-libertine\/LinBiolinum_RB.otf/'


%build
%cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DUSE_SYSTEM_LUABIND=ON .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
install -D -p -m644 doc/%{name}.6 %{buildroot}/%{_mandir}/man6/%{name}.6

desktop-file-validate  %{buildroot}/%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS COPYING MANUAL README LICENSES
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_mandir}/man6/%{name}.6*

%files data
%{_datadir}/%{name}

%changelog
* Thu Mar 28 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 0.5.0-4
- Fixed serious crash in the inventory (redhat bug: #928608)
* Fri Feb 1 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 0.5.0-3
- Fixed download link to github directly
* Fri Feb 1 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 0.5.0-2
- Fixed Gnu -> GNU
- Added comment to Source0
* Fri Feb 1 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 0.5.0-1
- New upstream release 0.5.0
* Wed Jan 8 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 0.5.0-0.2rc2
- Added patch for lua 5.2
* Tue Jan 8 2013 Erik Schilling <ablu.erikschilling@googlemail.com> 0.5.0-0.1rc2
- Initial packaging
